package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF0D2Response {

    @Parameter(name = "INST_AMOUNT")
    Double instAmount();

    @Parameter(name = "INT_RATE")
    Double intRate();

    @Parameter(name = "LOAN_AMOUNT")
    Double loanAmount();

    @Parameter(name = "MaxLoanAmount")
    Double maxLoanAmount();

    @Parameter(name = "MaxTerm")
    Long maxTerm();

    @Parameter(name = "RPSN")
    Double rpsn();

    @Parameter(name = "TERM")
    Long term();

    @Parameter(name = "TOTAL_AMOUNT")
    Double totalAmount();

}